package net.minecraft.src;

import net.minecraft.client.Minecraft;
import tc.oc.client.UndercastClient;
import tc.oc.client.data.Strings;

public class mod_UndercastClient extends BaseMod {
    private UndercastClient client;

    @Override
    public void load() {
        // main hooks
        ModLoader.setInGUIHook(this, true, false);
        ModLoader.setInGameHook(this, true, false);
        // create main proxy
        this.client = new UndercastClient(this);
    }

    @Override
    public String getVersion() {
        return UndercastClient.majorVersion + "." + UndercastClient.minorVersion + "." + UndercastClient.revisionVersion;
    }

    @Override
    public String getName() {
        return Strings.MOD_NAME;
    }

    @Override
    public void clientConnect(NetClientHandler handler) {
        this.client.clientConnect(handler);
    }

    @Override
    public void clientDisconnect(NetClientHandler handler) {
        this.client.clientDisconnect(handler);
    }

    @Override
    public boolean onTickInGame(float tick, Minecraft mc) {
        this.client.onTickInGame(tick, mc);
        return true;
    }

    @Override
    public boolean onTickInGUI(float tick, Minecraft mc, GuiScreen screen) {
        this.client.onTickInGUI(tick, mc, screen);
        return true;
    }

    @Override
    public void keyboardEvent(KeyBinding key) {
        this.client.keyboardEvent(key);
    }

    @Override
    public void serverCustomPayload(NetServerHandler serverHandler, Packet250CustomPayload packet) {
        this.client.serverCustomPayload(serverHandler, packet);
    }
    
    @Override
    public void clientChat(String var1) {
        this.client.clientChat(var1);
    }
}
