package tc.oc.client.data;

import net.minecraft.src.BaseMod;
import net.minecraft.src.KeyBinding;
import net.minecraft.src.ModLoader;

import org.lwjgl.input.Keyboard;

public class KeyBindings {

    public static KeyBinding fullbright_kb = new KeyBinding("undercast.fullBright", Keyboard.getKeyIndex(Strings.FULLBRIGHT_KEY));
    public static KeyBinding ingamestats_kb = new KeyBinding("undercast.ingamestats", Keyboard.getKeyIndex(Strings.INGAMESTATS_KEY));
    public static KeyBinding ingameservermenu_kb = new KeyBinding("undercast.ingameservermenu", Keyboard.getKeyIndex(Strings.INGAMESERVERMENU_KEY));

    public KeyBindings(BaseMod main_mod) {

        // Full bright key
        ModLoader.addLocalization("undercast.fullBright", "Toggle Fullbright");
        ModLoader.registerKey(main_mod, fullbright_kb, false);

        // Ingame Server menu
        ModLoader.addLocalization("undercast.ingamestats", "Ingame Stat Toggle");
        ModLoader.registerKey(main_mod, ingamestats_kb, false);

        // Ingame Server menu
        ModLoader.addLocalization("undercast.ingameservermenu", "Ingame Server Menu");
        ModLoader.registerKey(main_mod, ingameservermenu_kb, false);

    }

}
